{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 14,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 170,
          "quality": -1,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 15,
          "name": "minecraft:shared_loot_table3"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 6,
          "quality": 1,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": {
        "min": 2,
        "max": 4,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
			"type": "minecraft:loot_table",
			"weight": 3,
			"name": "minecraft:customitems/lavaboots"
		},
        {
          "type": "minecraft:item",
          "weight": 50,
          "quality": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:diamond"
        },
        {
          "type": "minecraft:item",
          "weight": 50,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 150,
          "quality": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_ingot"
        },
        {
          "type": "minecraft:item",
          "weight": 50,
          "name": "minecraft:golden_sword"
        },
        {
          "type": "minecraft:item",
          "weight": 50,
          "name": "minecraft:golden_chestplate"
        },
        {
          "type": "minecraft:item",
          "weight": 50,
          "quality": -5,
          "name": "minecraft:flint_and_steel"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 3,
                "max": 7,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:nether_wart"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "name": "minecraft:saddle"
        },
        {
          "type": "minecraft:item",
          "weight": 80,
          "quality": -15,
          "name": "minecraft:golden_horse_armor"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "quality": 10,
          "name": "minecraft:blaze_powder"
        },
        {
          "type": "minecraft:item",
          "weight": 50,
          "quality": -10,
          "name": "minecraft:iron_horse_armor"
        },
        {
          "type": "minecraft:item",
          "weight": 30,
          "name": "minecraft:diamond_horse_armor"
        },
        {
          "type": "minecraft:item",
          "weight": 50,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 4,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:obsidian"
        }
      ]
    },
	{
      "bonus_rolls": 0.0,
      "entries": [
        {
          "type": "minecraft:empty",
          "weight": 140,
		  "quality": -14
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:rib_armor_trim_smithing_template",
		  "weight": 10
        }
      ],
      "rolls": 1.0
    }
  ]
}
